阅读 60

swiper万能模板

写在最前: 如果你正在看这篇掘文,我觉得你肯定深陷swiper的巨坑,别着急,先去npm uninstall swiper & npm uninstall vue-awesome-swiper

step one

  • 一定要安装指定版本
yarn add swiper vue-awesome-swiper --save
复制代码
yarn add vue-awesome-swiper@3 --save-dev
复制代码

如果你按照官网demo写肯定会报错。

the last step

//组件内引入

import { swiper, swiperSlide } from "vue-awesome-swiper";

import 'swiper/swiper-bundle.css'
复制代码

注意:css样式如果按照官网例子引入会报错找不到css文件,必须如此引入,当然你可以去node_modules文件下找swiper文件(可能在最下面)

文章分类
前端
文章标签